<html>
<body>
    <form id="miformulario">
        <input type="text" name="nombre" />
        <input type="text" name="apellido" />
        <input type="number" name="edad" />
        <input type="submit" name="envio" />
    </form>
    <div id="resultado">
    </div>
    <script type="text/javascript">
        function formSubmit(e) {
            e.preventDefault();
            let miformulario = document.getElementById("miformulario");
            const data = new FormData(miformulario);
            fetch('ejer10.php', {
                method: "POST",
                body: data
            }
            ).then(
                function (response) {
                    if (response.ok) {
                        return response.text();
                    }
                }
            ).then(
                function (text) {
                    let divResultado = document.getElementById("resultado");
                    divResultado.innerHTML = text;
                }
            )

            return false;
        }

        let miformulario = document.getElementById("miformulario");
        miformulario.addEventListener("submit", formSubmit);
    </script>
</body>

</html>